/****************************************************************************/
/*            Data Partitioning for DB Architects and Mere Mortals          */
/*                            PASS Summit 2016                              */
/*                                                                          */
/*                  Written by Dmitri V. Korotkevitch                       */
/*                      http://aboutsqlserver.com                           */
/*                        dk@aboutsqlserver.com                             */
/****************************************************************************/
/*                              Challenges Demo                             */
/*                               Mixed Workload                             */
/****************************************************************************/

/* Obviously the problem is "almost" solved in SQL Server 2016 Enterprise Edition 
where you can combine B-Tree and Columnstore indexes. However, it is more complicated
in Standard Edition and/or in SQL Server prior 2016. 

Partitioning will allow you to use different indexing, schemas and compression there */

set nocount on
go

use PartitionedDB
go

-- Check execution plans:


set statistics time on

select  top 20 Region, Sum(Amount)
from NonPartitionedDb.dbo.Orders 
where OrderDate >= '2016-07-01' and OrderDate < '2016-10-01'
group by Region
order by Sum(Amount) desc


select  top 20 Region, Sum(Amount)
from PartitionedDb.dbo.Orders 
Where OrderDate >= '2016-07-01' and OrderDate < '2016-10-01'
group by Region
order by Sum(Amount) desc

set statistics time off