/****************************************************************************/
/*            Data Partitioning for DB Architects and Mere Mortals          */
/*                            PASS Summit 2016                              */
/*                                                                          */
/*                  Written by Dmitri V. Korotkevitch                       */
/*                      http://aboutsqlserver.com                           */
/*                        dk@aboutsqlserver.com                             */
/****************************************************************************/
/*                              Challenges Demo                             */
/*                             Disaster Recovery                            */
/****************************************************************************/
use PartitionedDB
go

select 
	db_name() as DBName
	,name as [FileName]
	,physical_name as [Path]
	,size / 128.0 as CurrentSizeMB
	,size / 128.0 - convert(int,fileproperty(name,'SpaceUsed')) / 128.0 as FreeSpaceMb
from	
	NonPartitionedDb.sys.database_files
go    

use NonPartitionedDB
go

select 
	db_name() as DBName
	,name as [FileName]
	,physical_name as [Path]
	,size / 128.0 as CurrentSizeMB
	,size / 128.0 - convert(int,fileproperty(name,'SpaceUsed')) / 128.0 as FreeSpaceMb
from	
	PartitionedDb.sys.database_files
go    

use master
go

alter database NonPartitionedDb set single_user with rollback immediate;
alter database PartitionedDb set single_user with rollback immediate;
drop database NonPartitionedDb;
drop database PartitionedDb;
go

restore database PartitionedDb 
filegroup='Primary', filegroup='RecentOrders'
from disk = N'C:\DB\Backup\PartitionedDB.bak' with file = 1,  
recovery, partial, stats= 5;
go

select file_id, name, state_desc, physical_name
from PartitionedDB.sys.database_files
go

restore database PartitionedDb 
filegroup='OldOrders'
from disk = N'C:\DB\Backup\PartitionedDB.bak' with file = 1, stats= 5;
go

restore database NonPartitionedDb 
from disk = N'C:\DB\Backup\NonPartitionedDB.bak' with file=1, unload, stats=5
go

/*
restore database PartitionedDb 
from disk = N'C:\DB\Backup\PartitionedDB.bak' with file=1, unload, stats=5
go
*/