/****************************************************************************/
/*            Data Partitioning for DB Architects and Mere Mortals          */
/*                            PASS Summit 2016                              */
/*                                                                          */
/*                  Written by Dmitri V. Korotkevitch                       */
/*                      http://aboutsqlserver.com                           */
/*                        dk@aboutsqlserver.com                             */
/****************************************************************************/
/*                               Data Movement                              */
/*                              Move Data Files                             */
/*http://aboutsqlserver.com/2016/03/08/how-to-move-data-and-log-files-online/ */
/****************************************************************************/

select @@VERSION
go

use PartitioningExpress
go

select 
	db_name() as DBName
	,name as [FileName]
	,physical_name as [Path]
	,size / 128.0 as CurrentSizeMB
	,size / 128.0 - convert(int,fileproperty(name,'SpaceUsed')) / 128.0 as FreeSpaceMb
from	
	sys.database_files
go    

USE [master]
GO

ALTER DATABASE PartitioningExpress 
ADD FILE 
( 
	NAME = N'PartitioningExpress_FG2016_File2', 
	FILENAME = N'c:\sqlexpress\drive2\PartitioningExpress_FG2016_File2.ndf', 
	SIZE = 100MB , 
	FILEGROWTH = 51200KB 
) TO FILEGROUP [FG2016]
GO

use PartitioningExpress
go

select 
	db_name() as DBName
	,name as [FileName]
	,physical_name as [Path]
	,size / 128.0 as CurrentSizeMB
	,size / 128.0 - convert(int,fileproperty(name,'SpaceUsed')) / 128.0 as FreeSpaceMb
from	
	sys.database_files
go    


dbcc shrinkfile(PartitioningExpress_FG2016, emptyfile)
go

alter database PartitioningExpress remove file PartitioningExpress_FG2016
go

select 
	db_name() as DBName
	,name as [FileName]
	,physical_name as [Path]
	,size / 128.0 as CurrentSizeMB
	,size / 128.0 - convert(int,fileproperty(name,'SpaceUsed')) / 128.0 as FreeSpaceMb
from	
	sys.database_files
go

